> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check product limits for plan

> Compares your organization's current resources against a given plan and returns those that exceed its limits.

Useful when considering downgrading the plan.

**Required scopes:** <Tooltip tip="`subscription.lc:rw` is a private scope; it's not possible to configure it via the OAuth clients configurator.">`subscription.lc:rw`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/check_product_limits_for_plan
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/check_product_limits_for_plan:
    post:
      tags:
        - Other
      summary: Check product limits for plan
      description: >-
        Compares your organization's current resources against a given plan and
        returns those that exceed its limits.


        Useful when considering downgrading the plan.
      operationId: check-product-limits-for-plan
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckProductLimitsForPlanRequest'
            example:
              plan: starter
      responses:
        '200':
          description: Resources that exceeded the limits of the specified plan.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductLimitItem'
              example:
                - resource: groups
                  limit_balance: 1
                - resource: groups_per_agent
                  limit_balance: 2
                  id: user@example.com
                - resource: group_chooser_groups
                  limit_balance: 3
                  id: '0'
                - resource: queue
                  limit_balance: 4
                - resource: queue
                  limit_balance: 4
                  id: '0'
                - resource: queue_continuous
                  limit_balance: 1
                - resource: queue_continuous
                  limit_balance: 1
                  id: '0'
                - resource: access_rules
                  limit_balance: 1
components:
  schemas:
    CheckProductLimitsForPlanRequest:
      type: object
      required:
        - plan
      properties:
        plan:
          type: string
          enum:
            - starter
            - team
            - enterprise
            - enterpriseplus
          description: The plan to check limits against.
    ProductLimitItem:
      type: object
      properties:
        resource:
          type: string
          description: >-
            The resource name that exceeded the plan limit.


            - `agents` — the number of active agents, including bots, that
            exceeded the limit.

            - `groups` — the number of groups that exceeded the limit.

            - `banned` — the number of banned visitors that exceeded the limit.

            - `queue` — the number of chats waiting in the queue (with Messaging
            Mode disabled) that exceeded the limit.

            - `queue_continuous` — the number of chats waiting in the queue
            (with Messaging Mode enabled) that exceeded the limit.

            - `groups_per_agent` — the number of groups an agent can be assigned
            to that exceeded the limit.

            - `access_rules` — the number of Access Rules that exceeded the
            limit.

            - `group_chooser_groups` — the number of groups available in the
            pre-chat survey that exceeded the limit.
        limit_balance:
          type: integer
          description: The number by which the current usage exceeds the plan limit.
        id:
          type: string
          description: >-
            The ID of the specific resource instance that exceeded the limit
            (e.g. agent ID or group ID). Returned only when applicable.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````